# -*- coding: utf-8 -*-
# Generated by Django 1.10.3 on 2017-07-26 14:15
from __future__ import unicode_literals

from django.db import migrations, models


def do_nothing(apps, schema_editor):
    return


def fill_empty_strings_for_nulls(apps, schema_editor):
    Commentary = apps.get_model('commentaries', 'Commentary')
    Commentary.objects.filter(arxiv_identifier__isnull=True).update(arxiv_identifier='')
    Commentary.objects.filter(arxiv_or_DOI_string__isnull=True).update(arxiv_or_DOI_string='')
    Commentary.objects.filter(journal__isnull=True).update(journal='')
    Commentary.objects.filter(pages__isnull=True).update(pages='')
    Commentary.objects.filter(pub_DOI__isnull=True).update(pub_DOI='')
    Commentary.objects.filter(volume__isnull=True).update(volume='')


class Migration(migrations.Migration):

    dependencies = [
        ('commentaries', '0014_auto_20170201_1243'),
    ]

    operations = [
        migrations.AlterField(
            model_name='commentary',
            name='arxiv_identifier',
            field=models.CharField(blank=True, default='', max_length=100, null=True, verbose_name='arXiv identifier (including version nr)'),
        ),
        migrations.AlterField(
            model_name='commentary',
            name='arxiv_or_DOI_string',
            field=models.CharField(default='', max_length=100, null=True, verbose_name='string form of arxiv nr or DOI for commentary url'),
        ),
        migrations.AlterField(
            model_name='commentary',
            name='journal',
            field=models.CharField(blank=True, default='', max_length=300, null=True),
        ),
        migrations.AlterField(
            model_name='commentary',
            name='pages',
            field=models.CharField(blank=True, default='', max_length=50, null=True),
        ),
        migrations.AlterField(
            model_name='commentary',
            name='pub_DOI',
            field=models.CharField(blank=True, default='', max_length=200, null=True, verbose_name='DOI of the original publication'),
        ),
        migrations.AlterField(
            model_name='commentary',
            name='volume',
            field=models.CharField(blank=True, default='', max_length=50, null=True),
        ),
        migrations.RunPython(fill_empty_strings_for_nulls, do_nothing),
    ]
